Returns one page of the referrals recorded for a creator group. Paging starts at page 1, and returns up to 100 referrals per page unless you pass pageSize. Use totalCount to work out how many pages there are. This method authenticates with a secret (nexus_sk_...) key.
Authorizations
Section titled “Authorizations”Send your secret API key (nexus_sk_...) in the X-SHARED-SECRET header. Generate one in the Publisher Dashboard.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”Example
V1StGXR8_Z5jdHi6B1LiOCreator group to use for this operation. If your key is scoped to a single program, that group is always used regardless of this value; otherwise falls back to your default group when omitted.
Page of records to return
Maximum number of records to return
Responses
Section titled “ Responses ”Results matching criteria
object
ID of the creator group
Name of the creator group
Page number of response records returned
Page size used for this operation
Total number of referrals
object
The referral’s unique id.
The creator’s referral code.
ID of the referring player. This is not displayed to the nexus being referred
Display name of the referring player. This is displayed to the nexus being referred
Unique identifier of the user for which this code is associated. Will only be populated for referrals where the Nexus is associated with a creator group (existing nexuses that have been linked, or codes the creator group generated)
Bad request
object
CodeNotInGroup: Creator group is private, and specified code is not linked to it
InvalidGroup: No creator group was found with the specified groupId
InvalidAuthCode: AuthCode provided is not valid
ExpiredAuthCode: AuchCode provided has expired
ReferralNexusNotFound: No Nexus was found to match the provided referral code
const url = 'https://api.nexus.gg/v1/referrals/?groupId=V1StGXR8_Z5jdHi6B1LiO&page=1&pageSize=100';const options = {method: 'GET', headers: {'X-SHARED-SECRET': 'nexus_sk_your_key_here'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.nexus.gg/v1/referrals/?groupId=V1StGXR8_Z5jdHi6B1LiO&page=1&pageSize=100' \ --header 'X-SHARED-SECRET: nexus_sk_your_key_here'Example
{ "groupId": "V1StGXR8_Z5jdHi6B1LiO", "groupName": "Aurora Drift Creators", "currentPage": 1, "currentPageSize": 100, "totalCount": 15, "referrals": [ { "id": "2ixlNNFdJh-9scoXek80w", "code": "popcornfrog", "playerId": "player_8f2c41d0", "playerName": "shadowstrike99", "referralDate": "2026-03-13T17:32:28Z" } ]}Example
{ "code": "InvalidGroup", "message": "Invalid Group ID"}